> For the complete documentation index, see [llms.txt](https://anilist.gitbook.io/anilist-apiv2-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/mediatag.md).

# MediaTag

A tag that describes a theme or element of the media

| Field                |                                                                                                Argument | Type                                                           | Description |
| -------------------- | ------------------------------------------------------------------------------------------------------: | -------------------------------------------------------------- | ----------- |
| **id**               |        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the tag                                              |             |
| **name**             |  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md)! | The name of the tag                                            |             |
| **description**      |   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | A general description of the tag                               |             |
| **category**         |   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The categories of tags this tag belongs to                     |             |
| **rank**             |         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The relevance ranking of the tag out of the 100 for this media |             |
| **isGeneralSpoiler** | [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the tag could be a spoiler for any media                    |             |
| **isMediaSpoiler**   | [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the tag is a spoiler for this media                         |             |
| **isAdult**          | [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the tag is only for adult 18+ media                         |             |
| **userId**           |         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The user who submitted the tag                                 |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/mediatag.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
